# AnswerPreCheckoutQueryError - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.answers.payments / AnswerPreCheckoutQueryError

# AnswerPreCheckoutQueryError

(common) `data class AnswerPreCheckoutQueryError : AnswerPreCheckoutQuery` (source)

### Constructors

(common)

#### <init>

`AnswerPreCheckoutQueryError(preCheckoutQueryId: PreCheckoutQueryId, errorMessage: String)`

### Properties

(common)

#### errorMessage

`val errorMessage: String`

(common)

#### isOk

`val isOk: Boolean`

(common)

#### preCheckoutQueryId

`val preCheckoutQueryId: PreCheckoutQueryId`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`